repo/gentoo:master commit in: dev-python/levenshtein/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786243015.79673937fe0b38048f45e396b20466a6f2308623.mgorny@gentoo>
commit:     79673937fe0b38048f45e396b20466a6f2308623
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  9 02:01:58 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug  9 02:36:55 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=79673937

dev-python/levenshtein: Bump to 0.27.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/levenshtein/Manifest                  |  1 +
 dev-python/levenshtein/levenshtein-0.27.4.ebuild | 49 ++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/levenshtein/Manifest b/dev-python/levenshtein/Manifest
index 9b0a8047a522..beb0cd00626d 100644
--- a/dev-python/levenshtein/Manifest
+++ b/dev-python/levenshtein/Manifest
@@ -1 +1,2 @@
 DIST Levenshtein-0.27.3.gh.tar.gz 37467 BLAKE2B 8d8c5b445a8a01664dac6cb336ace8c3a48c0e1db2434bc907683432a32462bb8503d3327ac2aa4fbd1d3b11fc45d38de23dd84498ea5da31c5baf01555a3ff7 SHA512 1102d6421066ea59c821416d80eec99044fd574659db2e063a5564249afddac097e740788b8d0f5c1c3c72c1a4d3ae94f027ac8609f5ad1cadde378aaee9bf43
+DIST Levenshtein-0.27.4.gh.tar.gz 37790 BLAKE2B b69813a4428302b85a58e7f1d7dd201f32c3da4bd8d78ba18e70ba8310435646f25064950b031b1335e228c625074d4e8c52d8a4f27784ae0ad6ba90bfed7429 SHA512 9994cb2c8c57341d3232b8d93ce178bc717fa9dcf0c382e153fe0aea967dea4a31e7680bc092129838a4cfe8f0fdad033456acb0470c60597bfac1fe79df6813

diff --git a/dev-python/levenshtein/levenshtein-0.27.4.ebuild b/dev-python/levenshtein/levenshtein-0.27.4.ebuild
new file mode 100644
index 000000000000..f0c1ce38aac9
--- /dev/null
+++ b/dev-python/levenshtein/levenshtein-0.27.4.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit distutils-r1
+
+MY_P=${P^}
+DESCRIPTION="Functions for fast computation of Levenshtein distance, and edit operations"
+HOMEPAGE="
+	https://pypi.org/project/Levenshtein/
+	https://github.com/rapidfuzz/Levenshtein/
+"
+SRC_URI="
+	https://github.com/rapidfuzz/Levenshtein/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+DEPEND="
+	<dev-cpp/rapidfuzz-cpp-4
+	>=dev-cpp/rapidfuzz-cpp-3.2.0
+"
+RDEPEND="
+	<dev-python/rapidfuzz-4.0.0[${PYTHON_USEDEP}]
+	>=dev-python/rapidfuzz-3.9.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	>=dev-python/cython-3.0.11[${PYTHON_USEDEP}]
+	>=dev-python/scikit-build-core-0.11[${PYTHON_USEDEP}]
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_prepare() {
+	# sterilize build flags
+	sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+
+	distutils-r1_src_prepare
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.